# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2010 Tiny SPRL (<http://tiny.be>).
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from openerp import models, fields, tools, api, _

class eventos_dte(models.Model):
    _name = 'eventos.dte'
    _description = 'Agrega datos sobre eventos DTE'

    access_token = fields.Char('Seguridad Token')
    access_url = fields.Char('Portal acceso URL')
    access_warning = fields.Text('Access Warning')
    agente = fields.Selection([('femenino','Femenino'),('masculino','Masculino')],'Agente')
    cdc = fields.Char('CDC.', size=18)
    name = fields.Char('Descripción')
    cdc_receptor = fields.Char('CDC Receptor', size=18)
    dCodRes = fields.Char('Código de respuesta')
    dDVRec = fields.Char('Digito Verificador')
    dEstRes = fields.Char('Estado de respuesta')
    dFecEmi = fields.Datetime(string='Fecha de emisión')
    dFecProc = fields.Datetime(string='Fecha de respuesta')
    dFecRecep = fields.Datetime(string='Fecha estimada de recepción')
    dMsgRes = fields.Char('Mensaje de respuesta')
    # dNomRec = fields.Many2one('Nombre o razón social')
    dNumFin = fields.Char('Número de final del rango')
    dNumIn = fields.Char('Número de inicio del rango')

    dProtAut = fields.Char('Código de operación')
    dRucRec = fields.Char('RUC del receptor')
    dTotalGs = fields.Char('Monto total en Gs.')
    display_name = fields.Char('Display Name')
    fecha_envio = fields.Datetime(string='Fecha envio')
    fecha_firma = fields.Datetime(string='Fecha firma')
    has_message = fields.Boolean(string='Has message' ,default = False)
    iTipConf = fields.Selection([('femenino','Femenino'),('masculino','Masculino')],'Tipo de conformidad')
    iTipRec = fields.Selection([('femenino','Femenino'),('masculino','Masculino')],'Tipo de Receptor')
    # invoice_id = fields.Many2one('Documento electrónico')
    mOtEve = fields.Char('Motivo del evento')
    respuesta = fields.Char('Respuesta')
    state = fields.Selection([('femenino','Femenino'),('masculino','Masculino')],'Estado')
    # timbrado_id = fields.Many2one('Documento electrónico')
    tipo = fields.Selection([('femenino','Femenino'),('masculino','Masculino')],'Tipo')
