# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2010 Tiny SPRL (<http://tiny.be>).
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from openerp import models, fields, tools, api, _
from openerp.exceptions import ValidationError


class res_company(models.Model):
    _name = 'res.company'
    _inherit = 'res.company'
    _description = 'Add extra data to res company'

    codigo_actividad = fields.Char('Código de actividad')
    codigo_establecimiento = fields.Char('Código establecimiento', size=2)
    establecimiento = fields.Char('Establecimiento')
    punto_expedicion = fields.Char('Punto de expedición de comprobantes', size=3)
    imputa_ire = fields.Boolean(string='Imputa al IRE' ,default = False)
    imputa_irp_isp = fields.Boolean(string='Imputa al IRP-RSP' ,default = False)
    imputa_iva = fields.Boolean(string='Imputa al IVA' ,default = False)
    dv = fields.Char('Digito Verificador', size=2)
    dv_representante = fields.Char('DV del representante legal', size=2)
    representante_legal = fields.Char('Representante legal')
    actividad = fields.Char('Actividad Comercial')
    regimen = fields.Selection([('1','B2B'),('2','B2C'),('3','B2G'),('4','B2F')],'Tipo Régimen')
    server_prueba = fields.Char('Servidor de Prueba')
    idcsc = fields.Char('IDCSC')
    cdc = fields.Char('CDC')
